<?php require_once('Connections/conn.php'); ?>
<?php
 session_start();
 if (!isset($_SESSION['MM_Username'])) {
      header ("Location: modulos/inicio/index.php");
	  }
 header("Content-Type:text/html; charset=utf-8");
 // Captura la cédula del usuario inició sesión.	  
 $cedula_usuario=$_SESSION['CEDULA_USUARIO'];
 $sede_usuario=$_SESSION['SEDE_USUARIO'];
	 
 // Captura los datos que vienen de inscribir_ciu.php
 $cedula = $_GET["cedula"];
 $apellidos = $_GET["apellidos"];
 $apellidos=strtoupper($apellidos);
 $nombres = $_GET["nombres"];
 $nombres=strtoupper($nombres);
 $participante=$apellidos.', '.$nombres;
 $carrera = $_GET["id_carrera"];
 $sede = $_GET["sede"];
 $periodo=$_GET["id_periodo"];
 $turno=$_GET["turno"];
 $pensum=$_GET["pensum"];
 $mencion="COMUN";
 $nivel="CIU"; 
 
 // Determina la fecha de ingreso.
 $fecha1 = explode("-",date("Y-m-d")); 
 $fecha2 = $fecha1[0].$fecha1[1].$fecha1[2]; 
 $fecha_hoy = cambioFecha($fecha2);
 $fecha_ingreso=join ("-",(array_reverse(explode("-",$fecha_hoy))));
 $annio=substr($fecha_ingreso,0,4);
 
 // Abro la Base de datos 
 mysql_select_db($database_conn, $conn);
 mysql_query ("SET NAMES 'utf8'"); 
 
 $sql = "select apellidos,nombres from usuarios where cedula='$cedula_usuario'";
$rs=mysql_query($sql,$conn);
$row=mysql_fetch_array($rs);
$inscrito_por=$row['apellidos'].', '.$row['nombres'];
 
  // Para tomar los datos del alumno
 $sql = "SELECT id_alumno FROM alumnos WHERE cedula='$cedula'";
 $rs = mysql_query($sql, $conn) or die(mysql_error());
 $row = mysql_fetch_assoc($rs);
 $id_alumno= $row["id_alumno"];
 
 // Crea la carrera del estudiante en caso de que no exista.
$sql_carrera = "SELECT * FROM carreras_alumno where id_alumno='$id_alumno'";
$rst_carrera = mysql_query($sql_carrera, $conn) or die(mysql_error());
$totalRows = mysql_num_rows($rst_carrera);
if($totalRows==0){
    $sql1 = "insert into `carreras_alumno` (`id_alumno`, `id_carrera`,`pensum`,`nivel`,`mencion`,`sede`,`turno`,`periodo_ingreso`,`fecha_ingreso`,`annio_ingreso`,`status`,`semestre`) values ('$id_alumno', '$carrera', '$pensum', '$nivel', '$mencion', '$sede', '$turno', '$periodo', '$fecha_ingreso', '$annio', 'ACTIVA', '0')";
    mysql_query($sql1, $conn) or die(mysql_error());
} 
 
 // Para tomar los datos del alumno
 $sql = "SELECT codigo FROM periodos WHERE id_periodo='$periodo'";
 $rs = mysql_query($sql, $conn) or die(mysql_error());
 $row = mysql_fetch_assoc($rs);
 $codigo= $row["codigo"];
 
 // Valida si el estudiante aprobó el CIU.
 $sql = "SELECT nombre_carrera FROM carreras WHERE id_carrera='$carrera'";
 $rs = mysql_query($sql, $conn) or die(mysql_error());
 $row = mysql_fetch_assoc($rs);
 $nombre_carrera= $row["nombre_carrera"];
 
 // Para tomar los datos de la carrera
 $sql = "SELECT nombre_carrera, num_materias_ciu FROM carreras WHERE id_carrera='$carrera'";
 $rs = mysql_query($sql, $conn) or die(mysql_error());
 $row = mysql_fetch_assoc($rs);
 $nombre_carrera= $row["nombre_carrera"]; 
 $num_materias_ciu= $row["num_materias_ciu"];
 
 // Para tomar los datos de la carrera
 $sql = "SELECT nombre_carrera, num_materias_ciu FROM carreras WHERE id_carrera='$carrera'";
 $rs = mysql_query($sql, $conn) or die(mysql_error());
 $row = mysql_fetch_assoc($rs);
 $nombre_carrera= $row["nombre_carrera"]; 
	
 // Valido si el estudiante ya esta inscrito en el Lapso seleccionado.
 $sql = "SELECT * FROM historial_alumnos where id_alumno='$id_alumno' and id_carrera='$carrera' and id_periodo='$periodo'";
 $rs = mysql_query($sql, $conn) or die(mysql_error());
 $row = mysql_fetch_assoc($rs);
 $total_rows = mysql_num_rows($rs);
 if($total_rows!=0){
   ?> 
      <script type="text/javascript">
	    msj="Estudiante <?php echo $participante ?>.\nYa está inscrito en el lapso <?php echo $codigo ?>"
	 	alert(msj);
	 </script>
	 <?php
	return;
  }	
  
  // Valido si el estudiante es regular.
 $sql = "SELECT * FROM historial_alumnos where id_alumno='$id_alumno' and id_carrera='$carrera' and nivel<>'CIU'";
 $rs = mysql_query($sql, $conn) or die(mysql_error());
 $row = mysql_fetch_assoc($rs);
 $total_rows = mysql_num_rows($rs);
 if($total_rows!=0){
   ?> 
      <script type="text/javascript">
	    msj="Inscripción en el CIU no procesada.\nEstudiante <?php echo $participante ?> es alumno regular."
	 	alert(msj);
	 </script>
	 <?php
	return false;
  }	


   
 // Asigna la Sección para el Curso de Iniciación. 
 $semestre="0";
 $sql = "SELECT codigo_seccion,seccion,cupos,inscritos FROM secciones WHERE sede='$sede' AND carrera='$carrera' and pensum='$pensum' and nivel='$nivel' and periodo='$periodo' and semestre='$semestre' and turno='$turno' and (cupos-inscritos)>0 order by seccion";
 $rs_secciones=mysql_query($sql, $conn) or die(mysql_error());
 $row_secciones = mysql_fetch_assoc($rs_secciones);
 $total_secciones=mysql_num_rows($rs_secciones);
 if($total_secciones>0){
    // Existen secciones con cupo.
    $seccion=$row_secciones["seccion"];
	$codigo_seccion=$row_secciones["codigo_seccion"];
    // Asigna la Sección al Alumno para la carrera que estudiará.
    $sql = "update `carreras_alumno` set  `seccion`='$seccion',`nivel`='CIU',`mencion`='COMUN' where id_alumno='$id_alumno' and id_carrera='$carrera' and pensum='$pensum'";
    mysql_query($sql, $conn) or die(mysql_error()); 
	  
	// Actualiza los Cupos
	$inscritos=$row_secciones["inscritos"]+1;
    $sql = "update `secciones` set  `inscritos`='$inscritos' WHERE codigo_seccion='$codigo_seccion'";
    mysql_query($sql, $conn) or die(mysql_error()); 
	   
	  // Inscribimos al alumno en Base a la Oferta Académica del Curso de Iniciación
    $sql = "insert into `inscripciones` (`id_alumno`, `id_periodo`, `turno`, `fecha`, `pensum`, `nivel`, `mencion`, `id_carrera`, `id_materia`, `semestre`, `id_seccion`, `sede`,`id_docente`) SELECT '$id_alumno' as id_alumno, '$periodo' as id_periodo, '$turno' as  turno, '$fecha_ingreso' as fecha_inscripcion, '$pensum' as pensum, '$nivel' as nivel, '$mencion' as mencion, id_carrera, id_materia, semestre, id_seccion, sede, id_profesor FROM  oferta_academica WHERE id_periodo='$periodo' and id_carrera='$carrera' and pensum='$pensum' and  nivel='$nivel' and sede='$sede' and id_seccion='$seccion' and turno='$turno' and semestre='$semestre'";
    mysql_query($sql, $conn) or die(mysql_error()); 

	// Creamos el registro histórico de inscripciones del estudiante.
    $sql = "insert into `historial_alumnos` (`id_alumno`, `id_carrera`, `pensum`, `mencion`, `nivel`, `id_periodo`, `sede`, `cedula`, `seccion`, `turno`, `participante`, `nom_carrera`,`fecha`, `annio`,`semestre`,`inscrito_por`) values('$id_alumno',  '$carrera', '$pensum', '$mencion', '$nivel', '$periodo', '$sede', '$cedula', '$seccion' ,'$turno' , '$participante', '$nombre_carrera', '$fecha_ingreso', '$annio', '0','$inscrito_por')";
    mysql_query($sql, $conn) or die(mysql_error()); 
	
	// Cambia el status del estudiante en la tabla CIU.
	$sql = "update `ciu` set estatus='INSCRITO' where cedula_ciu='$cedula'";
    mysql_query($sql, $conn) or die(mysql_error()); 

    // Asigna sede, fecha de ingreso y carrera que cursa al estudiante.
    $sql = "update alumnos set `sede`='$sede',fecha_ingreso='$fecha_ingreso',carrera='$carrera',status='S' where id_alumno='$id_alumno'";
    mysql_query($sql, $conn) or die(mysql_error());
   
   // Que pasa si es repitiente del CIU
   ?>
   <script type="text/javascript">
	   url="modulos/reportes/ciu_comprobante_inscripcion.php?id_alumno="+'<?php echo $id_alumno; ?>'+"&id_periodo="+'<?php echo $periodo; ?>'+"&codigo_sede="+'<?php echo $sede; ?>'+"&id_carrera="+'<?php echo $carrera; ?>';
	window.open(url);	
	
   </script>

<?php
	
   }	  
   else{
       ?>
	 <script type="text/javascript">
	    msj="No existen cupos para el Curso de Iniciación Universitaria.\nCree una nueva sección o aumente el número de cupos en una de las existentes."
	 	alert(msj);
	 </script>
	 <?php
   }

function cambioFecha($fecha){ //$fecha es de este formato --> ej: 20081229 
	$tieneCeroDiaMes = substr($fecha,6,1); 
	if ($tieneCeroDiaMes == 0) { 
		$diaMes = substr($fecha,7,1); 
	} else { 
		$diaMes = substr($fecha,6,2); 
	} 
	
	$Mes = substr($fecha,4,2); 
	
	
	$Anio = substr($fecha,0,4); 
	return $diaMes."-".$Mes."-".$Anio.""; 
	}     	  	  
?>